Summary:	Utilities for alternative packaging
Name:		scl-utils
Version:	20120927
Release:	8%{?dist}
License:	GPLv2+
Group:		Applications/File
URL:		http://jnovy.fedorapeople.org/scl-utils/
Source0:	http://jnovy.fedorapeople.org/scl-utils/%{name}-%{version}.tar.gz
Source1:	macros.scl-filesystem
Patch0: 	0001-Add-all-the-collections-enabled-to-SCLS-env-variable.patch
Patch1: 	0002-Allow-overriding-values-in-scl_package.patch
Patch2: 	0003-Delete-unnecessary-argument-from-check_asprintf.patch
Patch3: 	0004-scl-utils-free.patch
Patch4: 	0005-Use-direct-path-when-calling-scl_enabled.patch
Patch5: 	0006-Execute-enable-scriptlets-only-if-they-are-not-alrea.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Run-time utility for alternative packaging.

%package build
Summary:	RPM build macros for alternative packaging
Group:		Applications/File
Requires:	iso-codes
Requires:	redhat-rpm-config

%description build
Essential RPM build macros for alternative packaging.

%prep
%setup -q
%patch0 -p1 -b .all-collections
%patch1 -p1 -b .overriding
%patch2 -p1 -b .check-asprintf
%patch3 -p1
%patch4 -p1 -b .direct-path
%patch5 -p1 -b .enable-once

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
rm -rf %buildroot
mkdir -p %buildroot%{_sysconfdir}/rpm
mkdir -p %buildroot%{_sysconfdir}/scl/prefixes
mkdir -p %buildroot/opt/rh
install -d -m 755 %buildroot%{_mandir}/man1
make install DESTDIR=%buildroot
cat %SOURCE1 >> %buildroot%{_sysconfdir}/rpm/macros.scl

# remove brp-python-hardlink invocation as it is not present in RHEL5
sed -i -e '/^.*brp-python-hardlink.*/d' %buildroot%{_sysconfdir}/rpm/macros.scl

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%dir /opt/rh
%dir %{_sysconfdir}/scl/prefixes
%{_bindir}/scl
%{_bindir}/scl_enabled
%{_mandir}/man1/*
%{_sysconfdir}/bash_completion.d/scl.bash

%{!?_rpmconfigdir:%global _rpmconfigdir /usr/lib/rpm}
%files build
%defattr(-,root,root,-)
%{_sysconfdir}/rpm/macros.scl
%{_rpmconfigdir}/scldeps.sh
%{_rpmconfigdir}/fileattrs/scl.attr
%{_rpmconfigdir}/brp-scl-compress
%{_rpmconfigdir}/brp-scl-python-bytecompile

%changelog
* Fri May 17 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-8
- run enable scriptlet only if the collection is not enabled (#964056)

* Mon Apr 29 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-7
- use absolute path when calling scl_enabled (#957752)

* Mon Apr 29 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-6
- avoid using freed variable if script execution fails (#957765)

* Thu Apr 25 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-5
- allow overriding values in macro scl_package (#957176)
- delete redundant argument from check_asprintf (#956707)

* Fri Apr 19 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-4
- rebuild of the previous version

* Fri Apr 19 2013 Jan Zeleny <jzeleny@redhat.com> - 20120927-3
- enable all collections given as arguments, not just the first
  one (#949994)

* Wed Nov 07 2012 Jindrich Novy <jnovy@redhat.com> 20120927-2
- don't run brp-python-hardlink after build, it is not present
  in RHEL5 (#873602)

* Sun Oct 14 2012 Jindrich Novy <jnovy@redhat.com> 20120927-1
- update to 20120927 (#864534)

* Fri Jun 22 2012 Jindrich Novy <jnovy@redhat.com> 20120613-1
- initial import
